function[xe,we]=enventanado(x,w,t)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Funcin que enventana una seal con la ventana y seal que le
% entreguemos a entrada. La funcin nos entrega a la salida el pedazo
% de seal enventanada y la ventana colocada para comprobar que la
% longitud de ventana elegida es la correcta sobre la seal original.
%
%   function[xe,we]=enventanado(x,w,p)
%
%       DATOS DE ENTRADA:
%           x: Seal de entrada a enventanar.
%           w: Ventana a utilizar para el enventanado.
%           t: Eje temporal.
%
%       DATOS DE SALIDA:
%           xe: Seal enventanada de salida.
%           we: Ventana colocada.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
maximo=max(x);      % Buscamos el mximo  de la seal.

i=1;                            % Ahora, comprobamos en que muestra se
while i<=length(x)              % obtiene este mximo y este ser el dato
    if x(i)==maximo             % a tener en cuenta para el enventanado.
        point=t(i);
        i=i+length(x);
    else
        i=i+1;
    end
end

tiempo=point-0.7;      % Buscamos el segundo en el que debera comenzar
z=1;                   % la ventana. Esta deber comenzar 0.7ms antes
while z<=length(x)     % del pico de la seal, ya que, su parte plana
    if t(z)<tiempo;    % debe comenzar 0.2ms antes del pico y el primer
        z=z+1;         % borde dura 0.5ms.
    else
        muestra=z;           
        z=z+length(x);
    end
end

we=[zeros(1,muestra-1),w,zeros(1,length(x)-length(w)-(muestra-1))];

% Ventana colocada.
xe=x.*we;   % Seal enventanada.